/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreValuelistDeDe;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreValuelistDeDeRecord extends TableRecordImpl<VCoreValuelistDeDeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_valuelist_de_de.valuelist</code>.
     */
    public void setValuelist(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_de_de.valuelist</code>.
     */
    public Integer getValuelist() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_de_de.key</code>.
     */
    public void setKey(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_de_de.key</code>.
     */
    public String getKey() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_de_de.pk_lang</code>.
     */
    public void setPkLang(JSONB value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_de_de.pk_lang</code>.
     */
    public JSONB getPkLang() {
        return (JSONB) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_de_de.value</code>.
     */
    public void setValue(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_de_de.value</code>.
     */
    public String getValue() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_de_de.globallist</code>.
     */
    public void setGloballist(Boolean value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_de_de.globallist</code>.
     */
    public Boolean getGloballist() {
        return (Boolean) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_de_de.changeable</code>.
     */
    public void setChangeable(Boolean value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_de_de.changeable</code>.
     */
    public Boolean getChangeable() {
        return (Boolean) get(5);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreValuelistDeDeRecord
     */
    public VCoreValuelistDeDeRecord() {
        super(VCoreValuelistDeDe.V_CORE_VALUELIST_DE_DE);
    }

    /**
     * Create a detached, initialised VCoreValuelistDeDeRecord
     */
    public VCoreValuelistDeDeRecord(Integer valuelist, String key, JSONB pkLang, String value, Boolean globallist, Boolean changeable) {
        super(VCoreValuelistDeDe.V_CORE_VALUELIST_DE_DE);

        setValuelist(valuelist);
        setKey(key);
        setPkLang(pkLang);
        setValue(value);
        setGloballist(globallist);
        setChangeable(changeable);
        resetChangedOnNotNull();
    }
}
